KD SOAP: KDSoapServerCustomVerbRequestInterface Class Reference

| KD SOAP 2.0.0

Public Member Functions | List of all members
KDSoapServerCustomVerbRequestInterface Class Reference

`#include <KDSoapServerCustomVerbRequestInterface.h>`

## Public Member Functions
| KDSoapServerCustomVerbRequestInterface ()
virtual | ~KDSoapServerCustomVerbRequestInterface ()
virtual bool | processCustomVerbRequest (const QByteArray &requestType, const QByteArray &requestData, const QMap< QByteArray, QByteArray > &httpHeaders, QByteArray &customAnswer)

## Detailed Description

Additional interface for handling custom verb request.

In addition to deriving from KDSoapServerObjectInterface, you can derive from KDSoapServerCustomVerbRequestInterface in order to handle custom verb HTTP requests.

Use Q_INTERFACES(KDSoapServerCustomVerbRequestInterface) in your derived class (under Q_OBJECT) so that Qt can discover the additional inheritance.

Since
  1.5

## Constructor & Destructor Documentation

## ◆ KDSoapServerCustomVerbRequestInterface()

KDSoapServerCustomVerbRequestInterface::KDSoapServerCustomVerbRequestInterface | ( |  | ) |

Constructor

## ◆ ~KDSoapServerCustomVerbRequestInterface()

KDSoapServerCustomVerbRequestInterface::~KDSoapServerCustomVerbRequestInterface | ( |  | ) |
| virtual

Destructor

## Member Function Documentation

## ◆ processCustomVerbRequest()

bool KDSoapServerCustomVerbRequestInterface::processCustomVerbRequest | ( | const QByteArray & | requestType,
|  | const QByteArray & | requestData,
|  | const QMap< QByteArray, QByteArray > & | httpHeaders,
|  | QByteArray & | customAnswer
| ) |  |
| virtual

Process a request made with a custom HTTP verb

Parameters

  requestType | HTTP verb other than GET and POST
  requestData | is the content of the request
  httpHeaders | the map of http headers (keys have been lowercased since they are case insensitive)
  customAnswer | allow to send back the answer to the client if the request has been handled

Returns
  true if the request has been handled and if customAnswer is valid and will be sent back to the client.

The documentation for this class was generated from the following files:

- /home/allen/projects/kdsoap/src/KDSoapServer/KDSoapServerCustomVerbRequestInterface.h
- /home/allen/projects/kdsoap/src/KDSoapServer/KDSoapServerCustomVerbRequestInterface.cpp

© 2010-2021 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Wed Jun 30 2021 18:19:27 for KD SOAP by doxygen 1.8.20